List channels
Channels connected to eDesk: marketplaces, webstores and email.
GET https://cotlet.dev/api/v1/edesk/channels
read
Lists the channels from Settings > Mailbox > Channels with channel_id, name and marketplace. Use channel_id as a filter in list_tickets and list_orders.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/edesk/channels \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("edesk", "list_channels") const result = await cotlet.call('edesk', 'list_channels'); cotlet call edesk list_channels Example response
{
"channels": [
{
"channel_id": 14,
"name": "Amazon UK - Brightside Home",
"marketplace": "Amazon"
},
{
"channel_id": 15,
"name": "eBay UK - Brightside Home",
"marketplace": "eBay"
},
{
"channel_id": 21,
"name": "Support email",
"marketplace": "Email"
}
]
}